import { baseFetch, customerFetch } from '.';

type ImageVcodePramas = {
  effective?: number;
  loginName: string;
  codeNum?: number;
};
export const getImageVcode = (data: ImageVcodePramas) =>
  baseFetch({
    url: `/common/getCode?loginName=${data.loginName}&codeNum=4`,
    method: 'POST',
    data: data,
  });
type VcodePramas = {
  businessNum: string;
  codeNum?: number;
  cellphone: string;
};
export const getVcode = (entity: VcodePramas) =>
  customerFetch({
    url: '/app/customer/phone/message',
    data: entity,
  });
